/*** بسم الله الرحمن الرحيم و الصلاة و السلام على محمد رسول الله  ***/

import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: aboutPage
    tools: commonTools
    orientationLock: PageOrientation.LockPortrait
    anchors.margins : 5

    Rectangle{
        id: recCenter
        width: 400
        height: 750
        color: "transparent"
        anchors.centerIn: aboutPage

        Text{
            id: titleText
            text: "The Magical Sound"
            color: "blue"
            y: 90
            anchors.horizontalCenter: recCenter.horizontalCenter
            font.pointSize: 30; font.bold: true
        }
        Text{
            id: versionText
            text: "v1.0.0"
            font.pixelSize: 24
            anchors.top: titleText.bottom
            anchors.horizontalCenter: recCenter.horizontalCenter
            anchors.topMargin: 10
        }
        Text{
            id: authorText
            text: "by KOONOOZ"
            font.pixelSize: 25
            anchors.top: versionText.bottom
            anchors.horizontalCenter: recCenter.horizontalCenter
        }
        Text{
            id: contactText
            text: "contact: koonooz@ovi.com"
            font.pixelSize: 24
            anchors.top: authorText.bottom
            anchors.horizontalCenter: recCenter.horizontalCenter
        }

        Text{
            id: aboutText
            text: "The Magical Sound is an application that lets you test your audition. It let you know about frequencies you can hear and those you cannot. Then, you can compare your results to those of your Family/Friends."
            font.pixelSize: 24
            wrapMode: Text.Wrap
            anchors.top: contactText.bottom
            anchors.topMargin: 90
            width: recCenter.width
            horizontalAlignment : Text.AlignJustify
        }
        Text{
            id: noteText
            text: "Note: if you can't listen any sound, please make sure that the volume of your device is at least at 80%"
            font.pixelSize: 20
            font.italic : true
            wrapMode: Text.Wrap
            anchors.top: aboutText.bottom
            anchors.topMargin: 50
            width: recCenter.width
            horizontalAlignment : Text.AlignJustify
        }

    }
}
