/*** بسم الله الرحمن الرحيم و الصلاة و السلام على محمد رسول الله  ***/

import QtQuick 1.1
import com.nokia.meego 1.0
import QtMultimediaKit 1.1


Page {
    tools: commonTools
    orientationLock: PageOrientation.LockPortrait
    anchors.margins : 5
    property alias icon080: f080.icon
    property alias icon100: f100.icon
    property alias icon120: f120.icon
    property alias icon140: f140.icon
    property alias icon150: f150.icon
    property alias icon160: f160.icon
    property alias icon170: f170.icon
    property alias icon174: f174.icon
    property alias icon180: f180.icon
    property alias icon190: f190.icon
    property alias icon200: f200.icon
    property alias icon210: f210.icon
    property alias icon220: f220.icon
    property alias frqSound080: f080.frequencySound
    property alias frqSound100: f100.frequencySound
    property alias frqSound120: f120.frequencySound
    Image{
        source: "images/infoBackground.jpg"
        //smooth: true
        anchors.centerIn: parent
    }

    Column{
        smooth: false
        spacing: 2
        FrequenceItem{
            id: f080
            frequencyValue: qsTr("     8 KHz")
            frequencyText: qsTr("all ages")
            sound: "sounds/8000.mp3"
            frequencySound.onStopped: {
                icon="images/playIcon.png"
            }
            frequencySound.onStarted: {
                icon="images/stopIcon.png"
                icon100="images/playIcon.png"
                icon120="images/playIcon.png"
                icon140="images/playIcon.png"
                icon150="images/playIcon.png"
                icon160="images/playIcon.png"
                icon170="images/playIcon.png"
                icon174="images/playIcon.png"
                icon180="images/playIcon.png"
                icon190="images/playIcon.png"
                icon200="images/playIcon.png"
                icon210="images/playIcon.png"
                icon220="images/playIcon.png"
            }
            mouseAreaPlay.onClicked:  {
                if(true==frequencySound.playing){
                    frequencySound.stop()
                    console.log("stop80\n\n")
                }
                else {
                    frequencySound.stop();
                    console.log("stop80_")
                    frequencySound.play();
                    console.log("play80\n\n")
                }
            }
        }

        FrequenceItem{
            id: f100
            frequencyValue: qsTr("    10 KHz")
            frequencyText: qsTr("60 years ans youngers")
            sound: "sounds/10000.mp3"
            frequencySound.onStopped: {
                icon="images/playIcon.png"
            }
            frequencySound.onStarted: {
                icon080="images/playIcon.png"
                icon="images/stopIcon.png"
                icon120="images/playIcon.png"
                icon140="images/playIcon.png"
                icon150="images/playIcon.png"
                icon160="images/playIcon.png"
                icon170="images/playIcon.png"
                icon174="images/playIcon.png"
                icon180="images/playIcon.png"
                icon190="images/playIcon.png"
                icon200="images/playIcon.png"
                icon210="images/playIcon.png"
                icon220="images/playIcon.png"

            }
            mouseAreaPlay.onClicked:  {
                if(true==frequencySound.playing){

                    frequencySound.stop()
                    console.log("stop100\n\n")
                }
                else {
                    frqSound080.stop();
                    console.log("stop100_")
                    frequencySound.play();
                    console.log("play100\n\n")
                }
            }
        }
        FrequenceItem{
            id: f120
            frequencyValue: qsTr("    12 KHz")
            frequencyText: qsTr("50 years ans youngers")
            sound: "sounds/12000.mp3"
            frequencySound.onStopped: {
                icon="images/playIcon.png"
            }
            frequencySound.onStarted: {
                icon080="images/playIcon.png"
                icon100="images/playIcon.png"
                icon="images/stopIcon.png"
                icon140="images/playIcon.png"
                icon150="images/playIcon.png"
                icon160="images/playIcon.png"
                icon170="images/playIcon.png"
                icon174="images/playIcon.png"
                icon180="images/playIcon.png"
                icon190="images/playIcon.png"
                icon200="images/playIcon.png"
                icon210="images/playIcon.png"
                icon220="images/playIcon.png"
            }
            mouseAreaPlay.onClicked:  {
                if(true==frequencySound.playing){

                    frequencySound.stop()
                    console.log("stop120\n\n")
                }
                else {
                    frequencySound.stop();
                    console.log("stop120_")
                    frequencySound.play();
                    console.log("play120\n\n")
                }

            }
        }
        FrequenceItem{
            id: f140
            frequencyValue: qsTr("    14 KHz")
            frequencyText: qsTr("49 years ans youngers")
            sound: "sounds/14000.mp3"
            frequencySound.onStopped: {
                icon="images/playIcon.png"
            }
            frequencySound.onStarted: {
                icon080="images/playIcon.png"
                icon100="images/playIcon.png"
                icon120="images/playIcon.png"
                icon="images/stopIcon.png"
                icon150="images/playIcon.png"
                icon160="images/playIcon.png"
                icon170="images/playIcon.png"
                icon174="images/playIcon.png"
                icon180="images/playIcon.png"
                icon190="images/playIcon.png"
                icon200="images/playIcon.png"
                icon210="images/playIcon.png"
                icon220="images/playIcon.png"
            }
            mouseAreaPlay.onClicked:  {
                if(true==frequencySound.playing){

                    frequencySound.stop()
                    console.log("stop140\n\n")
                }
                else {
                    frequencySound.stop();
                    console.log("stop140_")
                    frequencySound.play();
                    console.log("play140\n\n")
                }

            }
        }
        FrequenceItem{
            id: f150
            frequencyValue: qsTr("    15 KHz")
            frequencyText: qsTr("39 years ans youngers")
            sound: "sounds/15000.mp3"
            frequencySound.onStopped: {
                icon="images/playIcon.png"
            }
            frequencySound.onStarted: {
                icon080="images/playIcon.png"
                icon100="images/playIcon.png"
                icon120="images/playIcon.png"
                icon140="images/playIcon.png"
                icon="images/stopIcon.png"
                icon160="images/playIcon.png"
                icon170="images/playIcon.png"
                icon174="images/playIcon.png"
                icon180="images/playIcon.png"
                icon190="images/playIcon.png"
                icon200="images/playIcon.png"
                icon210="images/playIcon.png"
                icon220="images/playIcon.png"
            }
            mouseAreaPlay.onClicked:  {
                if(true==frequencySound.playing){

                    frequencySound.stop()
                    console.log("stop150\n\n")
                }
                else {
                    frequencySound.stop();
                    console.log("stop150_")
                    frequencySound.play();
                    console.log("play150\n\n")
                }
            }
        }
        FrequenceItem{
            id: f160
            frequencyValue: qsTr("    16 KHz")
            frequencyText: qsTr("30 years ans youngers")
            sound: "sounds/16000.mp3"
            frequencySound.onStopped: {
                icon="images/playIcon.png"
            }
            frequencySound.onStarted: {
                icon080="images/playIcon.png"
                icon100="images/playIcon.png"
                icon120="images/playIcon.png"
                icon140="images/playIcon.png"
                icon150="images/playIcon.png"
                icon="images/stopIcon.png"
                icon170="images/playIcon.png"
                icon174="images/playIcon.png"
                icon180="images/playIcon.png"
                icon190="images/playIcon.png"
                icon200="images/playIcon.png"
                icon210="images/playIcon.png"
                icon220="images/playIcon.png"
            }
            mouseAreaPlay.onClicked:  {
                if(true==frequencySound.playing){

                    frequencySound.stop()
                    console.log("stop160\n\n")
                }
                else {
                    frequencySound.stop();
                    console.log("stop160_")
                    frequencySound.play();
                    console.log("play160\n\n")
                }
            }
        }
        FrequenceItem{
            id: f170
            frequencyValue: qsTr("    17 KHz")
            frequencyText: qsTr("24 years ans youngers")
            sound: "sounds/17000.mp3"
            frequencySound.onStopped: {
                icon="images/playIcon.png"
            }
            frequencySound.onStarted: {
                icon080="images/playIcon.png"
                icon100="images/playIcon.png"
                icon120="images/playIcon.png"
                icon140="images/playIcon.png"
                icon150="images/playIcon.png"
                icon160="images/playIcon.png"
                icon="images/stopIcon.png"
                icon174="images/playIcon.png"
                icon180="images/playIcon.png"
                icon190="images/playIcon.png"
                icon200="images/playIcon.png"
                icon210="images/playIcon.png"
                icon220="images/playIcon.png"
            }
            mouseAreaPlay.onClicked:  {
                if(true==frequencySound.playing){

                    frequencySound.stop()
                    console.log("stop170\n\n")
                }
                else {
                    frequencySound.stop();
                    console.log("stop170_")
                    frequencySound.play();
                    console.log("play170\n\n")
                }
            }
        }
        FrequenceItem{
            id: f174
            frequencyValue: qsTr("   17.4 KHz")
            frequencyText: qsTr("24 years ans youngers")
            sound: "sounds/17400.mp3"
            frequencySound.onStopped: {
                icon="images/playIcon.png"
            }
            frequencySound.onStarted: {
                icon080="images/playIcon.png"
                icon100="images/playIcon.png"
                icon120="images/playIcon.png"
                icon140="images/playIcon.png"
                icon150="images/playIcon.png"
                icon160="images/playIcon.png"
                icon170="images/playIcon.png"
                icon="images/stopIcon.png"
                icon180="images/playIcon.png"
                icon190="images/playIcon.png"
                icon200="images/playIcon.png"
                icon210="images/playIcon.png"
                icon220="images/playIcon.png"
            }
            mouseAreaPlay.onClicked:  {
                if(true==frequencySound.playing){

                    frequencySound.stop()
                    console.log("stop174\n\n")
                }
                else {
                    frequencySound.stop();
                    console.log("stop174_")
                    frequencySound.play();
                    console.log("play174\n\n")
                }
            }
        }
        FrequenceItem{
            id: f180
            frequencyValue: qsTr("    18 KHz")
            frequencyText: qsTr("24 years ans youngers")
            sound: "sounds/18000.mp3"
            frequencySound.onStopped: {
                icon="images/playIcon.png"
            }
            frequencySound.onStarted: {
                icon080="images/playIcon.png"
                icon100="images/playIcon.png"
                icon120="images/playIcon.png"
                icon140="images/playIcon.png"
                icon150="images/playIcon.png"
                icon160="images/playIcon.png"
                icon170="images/playIcon.png"
                icon174="images/playIcon.png"
                icon="images/stopIcon.png"
                icon190="images/playIcon.png"
                icon200="images/playIcon.png"
                icon210="images/playIcon.png"
                icon220="images/playIcon.png"
            }
            mouseAreaPlay.onClicked:  {
                if(true==frequencySound.playing){

                    frequencySound.stop()
                    console.log("stop180\n\n")
                }
                else {
                    frequencySound.stop();
                    console.log("stop180_")
                    frequencySound.play();
                    console.log("play180\n\n")
                }
            }
        }
        FrequenceItem{
            id: f190
            frequencyValue: qsTr("    19 KHz")
            frequencyText: qsTr("24 years ans youngers")
            sound: "sounds/19000.mp3"
            frequencySound.onStopped: {
                icon="images/playIcon.png"
            }
            frequencySound.onStarted: {
                icon080="images/playIcon.png"
                icon100="images/playIcon.png"
                icon120="images/playIcon.png"
                icon140="images/playIcon.png"
                icon150="images/playIcon.png"
                icon160="images/playIcon.png"
                icon170="images/playIcon.png"
                icon174="images/playIcon.png"
                icon180="images/playIcon.png"
                icon="images/stopIcon.png"
                icon200="images/playIcon.png"
                icon210="images/playIcon.png"
                icon220="images/playIcon.png"
            }
            mouseAreaPlay.onClicked:  {
                if(true==frequencySound.playing){

                    frequencySound.stop()
                    console.log("stop190\n\n")
                }
                else {
                    frequencySound.stop();
                    console.log("stop190_")
                    frequencySound.play();
                    console.log("play190\n\n")
                }
            }
        }
        FrequenceItem{
            id: f200
            frequencyValue: qsTr("    20 KHz")
            frequencyText: qsTr("18 years ans youngers")
            sound: "sounds/20000.mp3"
            frequencySound.onStopped: {
                icon="images/playIcon.png"
            }
            frequencySound.onStarted: {
                icon080="images/playIcon.png"
                icon100="images/playIcon.png"
                icon120="images/playIcon.png"
                icon140="images/playIcon.png"
                icon150="images/playIcon.png"
                icon160="images/playIcon.png"
                icon170="images/playIcon.png"
                icon174="images/playIcon.png"
                icon180="images/playIcon.png"
                icon190="images/playIcon.png"
                icon="images/stopIcon.png"
                icon210="images/playIcon.png"
                icon220="images/playIcon.png"
            }
            mouseAreaPlay.onClicked:  {
                if(true==frequencySound.playing){

                    frequencySound.stop()
                    console.log("stop200\n\n")
                }
                else {
                    frequencySound.stop();
                    console.log("stop200_")
                    frequencySound.play();
                    console.log("play200\n\n")
                }
            }
        }
        FrequenceItem{
            id: f210
            frequencyValue: qsTr("    21 KHz")
            frequencyText: qsTr("18 years ans youngers")
            sound: "sounds/21000.mp3"
            frequencySound.onStopped: {
                icon="images/playIcon.png"
            }
            frequencySound.onStarted: {
                icon080="images/playIcon.png"
                icon100="images/playIcon.png"
                icon120="images/playIcon.png"
                icon140="images/playIcon.png"
                icon150="images/playIcon.png"
                icon160="images/playIcon.png"
                icon170="images/playIcon.png"
                icon174="images/playIcon.png"
                icon180="images/playIcon.png"
                icon190="images/playIcon.png"
                icon200="images/playIcon.png"
                icon="images/stopIcon.png"
                icon220="images/playIcon.png"
            }
            mouseAreaPlay.onClicked:  {
                if(true==frequencySound.playing){

                    frequencySound.stop()
                    console.log("stop210\n\n")
                }
                else {
                    frequencySound.stop();
                    console.log("stop210_")
                    frequencySound.play();
                    console.log("play210\n\n")
                }
            }
        }
        FrequenceItem{
            id: f220
            frequencyValue: qsTr("    22 KHz")
            frequencyText: qsTr("18 years ans youngers")
            sound: "sounds/22000.mp3"
            frequencySound.onStopped: {
                icon="images/playIcon.png"
            }
            frequencySound.onStarted: {
                icon080="images/playIcon.png"
                icon100="images/playIcon.png"
                icon120="images/playIcon.png"
                icon140="images/playIcon.png"
                icon150="images/playIcon.png"
                icon160="images/playIcon.png"
                icon170="images/playIcon.png"
                icon174="images/playIcon.png"
                icon180="images/playIcon.png"
                icon190="images/playIcon.png"
                icon200="images/playIcon.png"
                icon210="images/playIcon.png"
                icon="images/stopIcon.png"
            }
            mouseAreaPlay.onClicked:  {
                if(true==frequencySound.playing){

                    frequencySound.stop()
                    console.log("stop220\n\n")
                }
                else {
                    frequencySound.stop();
                    console.log("stop220_")
                    frequencySound.play();
                    console.log("play220\n\n")
                }
            }
        }
    }
}
